aboutsummaryrefslogtreecommitdiff
path: root/share/zoneinfo/yearistype.sh
diff options
context:
space:
mode:
authorGarrett Wollman <wollman@FreeBSD.org>1994-09-13 21:50:20 +0000
committerGarrett Wollman <wollman@FreeBSD.org>1994-09-13 21:50:20 +0000
commitd2746e980f4edb1ee1c5882e6531ca869843074f (patch)
treec30c081717d5d8a4ec4b962243c4c7d1bbcd6b53 /share/zoneinfo/yearistype.sh
downloadsrc-d2746e980f4edb1ee1c5882e6531ca869843074f.tar.gz
src-d2746e980f4edb1ee1c5882e6531ca869843074f.zip
Latest version of the timezone data files from Arthur David Olson, tovendor/tzdata/tzdata94f
go with the code imported yesterday. Obtained from: Arthur David Olson, ftp://elsie.nci.nih.gov/pub/tzdata94f.tar.gz
Notes
Notes: svn path=/vendor/tzdata/dist/; revision=2744 svn path=/vendor/tzdata/tzdata94f/; revision=2746; tag=vendor/tzdata/tzdata94f
Diffstat (limited to 'share/zoneinfo/yearistype.sh')
-rwxr-xr-xshare/zoneinfo/yearistype.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/share/zoneinfo/yearistype.sh b/share/zoneinfo/yearistype.sh
new file mode 100755
index 000000000000..42ef29bbe879
--- /dev/null
+++ b/share/zoneinfo/yearistype.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+: '@(#)yearistype.sh 7.2'
+
+case $#-$2 in
+ 2-odd) case $1 in
+ *[13579]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-even) case $1 in
+ *[24680]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-*) echo "$0: wild type - $2" >&2
+ exit 1 ;;
+ *) echo "$0: usage is $0 year type" >&2
+ exit 1 ;;
+esac